{% load crispy_forms_tags %}
<!doctype html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link rel="stylesheet" href="/static/survey_app/css/bootstrap.css" >
    <title>Impel Survey</title>
  </head>
  <body>
    <div class="container">
      <div class="row justify-content-center">
        <div class="col-8">
          <div style="display: flex; justify-content: space-between;">
              <h5 class="mt-2">{{ survey_name }}</h5>
              <h6 class="mt-2" style="padding-bottom: 0px; align-self: flex-end;"><a href="/admin/survey_app/survey/">Survey List</a></h6>
          </div>
          <div id="id_countdown" style="float: right"></div>
          <hr class="mt-0 mb-4">
          {% block content %}
              {% crispy form %}
          {% endblock %}
        </div>
      </div>
    </div>
    <script>
        $(document).ready(function (){
            $('#id_countdown').countdown({until: {{duration_left}}, format: 'MS', onExpiry: function (){
                    $('#id-survey_form').submit();
                }
            });
        })
    </script>
  </body>
</html>




